On this page
No Headings
Oauth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/customer/partner-referrals/readwrite
The ID of the partner-referrals data for which to show details.
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.paypal.com/v2/customer/v2/customer/partner-referrals/string"{
"partner_referral_id": "string",
"submitter_payer_id": "string",
"submitter_client_id": "string",
"referral_data": {
"individual_owners": [],
"business_entity": {
"business_type": {
"type": "ANY_OTHER_BUSINESS_ENTITY",
"subtype": "ASSO_TYPE_INCORPORATED"
},
"business_industry": {
"category": "string",
"mcc_code": "string",
"subcategory": "string"
},
"business_incorporation": {
"incorporation_country_code": "st",
"incorporation_date": "stringstri"
},
"names": [],
"emails": [],
"website": "http://example.com",
"addresses": [],
"phones": [],
"documents": [],
"beneficial_owners": {
"individual_beneficial_owners": [],
"business_beneficial_owners": []
},
"office_bearers": null,
"annual_sales_volume_range": {
"minimum_amount": {
"currency_code": "str",
"value": "string"
},
"maximum_amount": {
"currency_code": "str",
"value": "string"
}
},
"average_monthly_volume_range": {
"minimum_amount": {
"currency_code": "str",
"value": "string"
},
"maximum_amount": {
"currency_code": "str",
"value": "string"
}
},
"purpose_code": [
"P0104"
],
"business_description": "string"
},
"email": "string",
"preferred_language_code": "string",
"tracking_id": "string",
"partner_config_override": {
"return_url": "http://example.com",
"return_url_description": "string",
"show_add_credit_card": true
},
"financial_instruments": {
"banks": []
},
"operations": [
{
"operation": "API_INTEGRATION",
"api_integration_preference": {
"classic_api_integration": {},
"rest_api_integration": {
"integration_method": "BRAINTREE",
"integration_channel": "DEFERRED_ONBOARDING",
"integration_type": "FIRST_PARTY",
"first_party_details": {
"features": [
"PAYOUTS"
],
"seller_nonce": "stringstringstringstringstringstringstringst"
},
"third_party_details": {
"features": [],
"signup_mode": "VERIFY_WITH_PAYPAL",
"organization": "string"
}
}
},
"offline_onboarding_preference": {},
"billing_agreement": {
"description": "string",
"billing_experience_preference": {
"experience_id": "string",
"billing_context_set": true
},
"merchant_custom_data": "string",
"approval_url": "http://example.com",
"ec_token": "string"
}
}
],
"products": [
"ALIPAY"
],
"capabilities": [
"PAYPAL_WALLET_VAULTING_ADVANCED"
],
"outside_process_dependencies": [
null
],
"legal_consents": [
{
"type": "SHARE_DATA_CONSENT",
"granted": true
}
],
"payout_attributes": {
"marketplace": true,
"kyc_required": true,
"country_transfer_method_currency_selection": [
{
"country": "st",
"transfer_methods": [
{
"transfer_method_type": "BANK_ACCOUNT",
"currencies": [
"str"
]
}
]
}
]
},
"legal_country_code": "st"
},
"links": []
}{
"name": "AUTHENTICATION_FAILURE",
"message": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "AUTHORIZATION_ERROR",
"description": "This API call is not authorized"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}